Mono.Data.Sqlite 4.0.0.0 System.Data.Common.DbDataReader SQLite implementation of DbDataReader. To be added.
- Method
  4.0.0.0
  System.Void Closes the datareader, potentially closing the connection as well if CommandBehavior.CloseConnection was specified. To be added.
- Property
  4.0.0.0
  System.Int32 Not implemented. Returns 0 To be added. To be added.
- Property
  4.0.0.0
  System.Int32 Returns the number of columns in the current resultset To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` The index of the column to retrieve Retrieves the column as a boolean value bool To be added.
- Method
  4.0.0.0
  System.Byte `` The index of the column to retrieve Retrieves the column as a single byte value byte To be added.
- Method
  4.0.0.0
  System.Int64 `` `` `` `` `` The index of the column to retrieve The zero-based index of where to begin reading the data The buffer to write the bytes into The zero-based index of where to begin writing into the array The number of bytes to retrieve Retrieves a column as an array of bytes (blob) The actual number of bytes written into the array To determine the number of bytes in the column, pass a null value for the buffer. The total length will be returned.
- Method
  4.0.0.0
  System.Char `` The index of the column to retrieve Returns the column as a single character char To be added.
- Method
  4.0.0.0
  System.Int64 `` `` `` `` `` The index of the column to retrieve The zero-based index of where to begin reading the data The buffer to write the characters into The zero-based index of where to begin writing into the array The number of bytes to retrieve Retrieves a column as an array of chars (blob) The actual number of characters written into the array To determine the number of characters in the column, pass a null value for the buffer. The total length will be returned.
- Method
  4.0.0.0
  System.String `` The index of the column to retrieve Retrieves the name of the back-end datatype of the column string To be added.
- Method
  4.0.0.0
  System.DateTime `` The index of the column to retrieve Retrieve the column as a date/time value DateTime To be added.
- Method
  4.0.0.0
  System.Decimal `` The index of the column to retrieve Retrieve the column as a decimal value decimal To be added.
- Method
  4.0.0.0
  System.Double `` The index of the column to retrieve Returns the column as a double double To be added.
- Method
  4.0.0.0
  System.Collections.IEnumerator Enumerator support Returns a DbEnumerator object. To be added.
- Method
  4.0.0.0
  System.Type `` The index of the column to retrieve Returns the .NET type of a given column Type To be added.
- Method
  4.0.0.0
  System.Single `` The index of the column to retrieve Returns a column as a float value float To be added.
- Method
  4.0.0.0
  System.Guid `` The index of the column to retrieve Returns the column as a Guid Guid To be added.
- Method
  4.0.0.0
  System.Int16 `` The index of the column to retrieve Returns the column as a short Int16 To be added.
- Method
  4.0.0.0
  System.Int32 `` The index of the column to retrieve Retrieves the column as an int Int32 To be added.
- Method
  4.0.0.0
  System.Int64 `` The index of the column to retrieve Retrieves the column as a long Int64 To be added.
- Method
  4.0.0.0
  System.String `` The index of the column to retrieve Retrieves the name of the column string To be added.
- Method
  4.0.0.0
  System.Int32 `` The name of the column to retrieve Retrieves the i of a column, given its name The int i of the column To be added.
- Method
  4.0.0.0
  System.Data.DataTable Schema information in SQLite is difficult to map into .NET conventions, so a lot of work must be done to gather the necessary information so it can be represented in an ADO.NET manner. Returns a DataTable containing the schema information for the active SELECT statement being processed. To be added.
- Method
  4.0.0.0
  System.String `` The index of the column to retrieve Retrieves the column as a string string To be added.
- Method
  4.0.0.0
  System.Object `` The index of the column to retrieve Retrieves the column as an object corresponding to the underlying datatype of the column object To be added.
- Method
  4.0.0.0
  System.Int32 `` The array to fill with values from the columns in the current resultset Retreives the values of multiple columns, up to the size of the supplied array The number of columns retrieved To be added.
- Property
  4.0.0.0
  System.Boolean Returns True if the resultset has rows that can be fetched To be added. To be added.
- Property
  4.0.0.0
  System.Boolean Returns True if the data reader is closed To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` The index of the column to retrieve Returns True if the specified column is null True or False To be added.
- Property
  4.0.0.0
  System.Object `` The index of the column to retrieve Indexer to retrieve data from a column given its i The value contained in the column To be added.
- Property
  4.0.0.0
  System.Object `` The name of the column to retrieve data for Indexer to retrieve data from a column given its name The value contained in the column To be added.
- Method
  4.0.0.0
  System.Boolean Moves to the next resultset in multiple row-returning SQL command. True if the command was successful and a new resultset is available, False otherwise. To be added.
- Method
  4.0.0.0
  System.Boolean Reads the next row from the resultset True if a new row was successfully loaded and is ready for processing To be added.
- Property
  4.0.0.0
  System.Int32 Retrieve the count of records affected by an update/insert command. Only valid once the data reader is closed! To be added. To be added.
- Property
  4.0.0.0
  System.Int32 Returns the number of visible fielsd in the current resultset To be added. To be added.